Open Bug 929281 Opened 6 years ago Updated Last month

Long startup and "Unresponsive Script" with many pop accounts and check for e-mails on startup. View > Folders > All, with version 18/version 24

Categories

(MailNews Core :: Networking: POP, defect)

x86
All
defect
Not set

Tracking

(thunderbird_esr24 wontfix, thunderbird_esr31? affected)

Tracking Status
thunderbird_esr24 --- wontfix
thunderbird_esr31 ? affected

People

(Reporter: wsmwk, Unassigned)

References

(Blocks 1 open bug, )

Details

(Keywords: perf, regression, Whiteboard: [regression:TB18][gs])

User Story

bug 793455 landed on nightly 2012-09-25

reporters:
* panos linux
comment 8
15 POP accounts
works: thunderbird 17.0.8
fails: thunderbird-18.0b1.tar.bz2 (released Nov 29, 2012)
Startup check is fast.
Checks after startup are 50 seconds slower

* Guenter linux
comment 16 ...
works: 18.0a1 https://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2012/09/2012-09-24-04-35-58-comm-central/
slow: 18.0a1 https://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2012/09/2012-09-27-03-02-12-comm-central/
works after reinstall of ubuntu 14.04 LTS (Kernel 3.13) (comment 45)

=> http://hg.mozilla.org/comm-central/pushloghtml?startdate=2012-09-24+03%3A05%3A00&enddate=2012-09-27+03%3A05%3A00

performance bugs raised between 17 and 24 https://mzl.la/2lgRBL5
Reported by at least two users. Pretty sure I've seen more reports of this, I'm thinking especially gmail+pop (how sad).   

https://getsatisfaction.com/mozilla_messaging/topics/on_startup_a_script_fails_to_run_and_takes_real_time

https://getsatisfaction.com/mozilla_messaging/topics/thunderbird_24_beachball_hang_when_opening_folder_what_do_i_do?page=1

Haven't had time to narrow the issue to specific version, settings, numbers of accounts, etc. And hard to get serious about finding more reports given all the other slowness reported by McAfee users.

It's only being reported on startup, so not marking sev=major.

Do we know anyone else in the community who has LOTS of pop accounts?
FYI.
A simplest way to see phenomenon of "Long startup and Unresponsive Script with many local mail folders" in any Tb version.
  Delete panacea.dat, and restart Tb.

If panacea.dat is available, relation between "mail folder name" and "full path of .msf file and message-store file" is obtained from panacea.dat. So, Mbox.msf file and message-store file can be accessed by one step : open file with obtained full path.

If panacea.dat is lost, Tb has to search Mail/<servername> directory and all xxx.sbd subdirectories under Mail/<servername> for all Mbox.msf files and Mbox files. This is directory scan and it takes long, if many files are held in a directory and many directories have to be scanned. This "directory scan" takes pretty longer, if Mail directory is located on file server, because file meta data in directory is obtained from file server.
This is known phenomenon, and was reported sometimes.

Because Tb opens panacea.dat file with write mode, Tb fails to open panacea.dat if someone else already opens panacea.dat even with Read mode. "Write open failure of panacea.dat" is equivallent to "loss of panacea.dat file" for Tb. And, "periodical scheduling of virus-scanner of anti-virus software for disk files" can easily interfere Tb's "Write open of panacea.dat" any time.

If IMAP is involved, it may be worse, because "loss of sync'ed status with server" may happen and "refetch of message headers" may occur on all mails in all folder and auto-sync may be invoked for all mails in all Offline-Use=On folder.

Please rule out "loss of panacea.dat file" case and "interfere of Tb's panacea.dat file open by anti-virus software" case.

Note-1:
Even if "periodical scheduling of virus-scanner of anti-virus software for disk files" is required in your environment, files under Tb's profile directory or Mail directory can be excluded from scan target by specifying Tb's profile directory or Mail directory in "Exclude List" or "White List" of anti-virus software.
note-2:
Because default/pre-set "White List" or default/pre-set "Black List" of antivirus software is always "file extension basis", and because Tb doesn't use file extension for message-store file, Tb's message-store file is never excluded by default/pre-set settings of antivirus software.

Another known performace problem after upgrade : by Lightning.
Please check with -safe-mode of Tb, with all plugins disabled.
indeed checking panacea was my next step. Thanks for reminding me
Flags: needinfo?(vseerror)
Whiteboard: [gs]
Wada, 

Certainly some in the past few months have turned out to be AV. 

Did you look at any of the reports?  Bear in mind these are users who, prior to version update, previously had no performance issue. And some are linux and Mac.

Mac https://getsatisfaction.com/mozilla_messaging/topics/thunderbird_24_beachball_hang_when_opening_folder_what_do_i_do
windows https://getsatisfaction.com/mozilla_messaging/topics/on_startup_a_script_fails_to_run_and_takes_real_time (better in safe mode, but still not great)

more in https://getsatisfaction.com/mozilla_messaging/tags/popslow .. for example linux https://getsatisfaction.com/mozilla_messaging/topics/thunderbird_24_has_extremely_slow_startup_on_linux


> Because default/pre-set "White List" or default/pre-set "Black List" of antivirus software is always "file extension basis", and because Tb doesn't use file extension for message-store file, Tb's message-store file is never excluded by default/pre-set settings of antivirus software.

This can't be true for all AV.  If what you sit were true we'd be in a world of hurt far worse than the reports we get - because most windows users of course - probably millions of users - do use AV and don't suffer perf problems. For example McAfee, when it works correctly, detects Thunderbird and acts appropriately with exclusions.
Flags: needinfo?(vseerror)
(Bear in mind these are users who, prior to version update, previously had no performance issue.) ... and in several cases we have eliminated AV as potential cause.  It's one of the first things that is targeted.  In some cases users are referred to https://wiki.mozilla.org/Thunderbird:Testing:Memory_Usage_Problems#Diagnosis_Steps which as you can see takes them through a long list of potential problem areas
OS: Windows Vista → All
Flags: needinfo?(mconley)
Note this bug is specifically about pop 

Need someone to run point and follow up with users in getsatisfaction **, find one or two which are good testcases, and dig into the source of the problem. I can't run point on this a) I don't run pop, b) I've got too much on my plate.  But I'm happy to help and answer questions.  

What is known:
* we know there is a proxy perf issue - need to eliminate any users who have this
* we know some users have AV issues - need to eliminate them. one good way to skip that mess is work with linux and Mac users who report the problem
* I "think" there is something pop specific going on, because (I think) all imap users I've seen with slowness can be blamed on antivirus and other issues. 

What we don't know:
* a lot
* not 100% absolutely positive it's a pop, because we don't have hard data

From users we need:
* profiler run
* possibly pop log and maybe auth log, etc
etc

** list of ~10 users is https://getsatisfaction.com/mozilla_messaging/tags/tb24popslow and I'll try add more to that list over the next week

xref: new slow startup bugs since 2012-10-01 (roughly when TB17 development ended and development of TB18 begins ... which becomes TB24)
https://bugzilla.mozilla.org/buglist.cgi?f1=OP&o3=anywordssubstr&list_id=8698003&short_desc=start%20launch&v3=perf%20&classification=Client%20Software&classification=Components&o2=anywordssubstr&f4=CP&chfieldto=Now&chfield=[Bug%20creation]&query_format=advanced&j1=OR&chfieldfrom=2012-10-01&f3=keywords&f2=short_desc&short_desc_type=anywordssubstr&v2=perf%20slow%20long&product=MailNews%20Core&product=Thunderbird
Flags: needinfo?(shopik)
Flags: needinfo?(rob.smeets)
Flags: needinfo?(antoine.mechelynck)
Keywords: testcase-wanted
- I'm using SeaMonkey (trunk) on Linux64, but it's been some time since there were new SeaMonkey builds for this platform, here are the nitty-gritty details:
Mozilla/5.0 (X11; Linux x86_64; rv:27.0) Gecko/20100101 Firefox/27.0 SeaMonkey/2.24a1 ID:20130919003001 c-c:1ea1fc3586db m-c:803189f35921
- I have quite a number of POP accounts (of which the gmail account I use for, among other things, BMO has the highest volume by far), one low-volume Linux-MoveMail account (8 emails per week), a goodly number of feeds subscribed to via the mailer, and a couple of NNTP accounts. No IMAP. I also have about 100 Browser tabs and I start ChatZilla (in addition to the Browser and Mailer) at startup. With all this being started concurrently, a little startup slowness doesn't seem strange to me; I'd even say it is to be expected.
- I never see "Unresponsive script" in the mailer at startup. What I sometimes see at startup, but not every time, and always for gmail, is a popup giving (IIUC) a message from the server, whose exact text I don't remember by heart. The text ends with "Capability list follows" and the only button on that popup is an [ OK ] button. When I click that, I get a second popup, again for gmail, which seems to be about a password mismatch (again, I don't remember the exact text). This popup has three buttons, of which the rightmost one is [ Retry ]. When I click this Retry button, the connection is established with Gmail's POP server, my password (stored in the Password Manager) is accepted, and SeaMonkey starts downloading Gmail messages concurrently (and interspersed) with messages from other POP and feed servers.
- The most recent Thunderbird version on this machine is a 2.0.0.25pre dated 2010-06-29. I don't use it anymore and I don't think that starting it up would tell us anything relevant about today's bugs as seen on Thunderbird.
Flags: needinfo?(antoine.mechelynck)
Flags: needinfo?(shopik)
Flags: needinfo?(rob.smeets)
Flags: needinfo?(mconley)
See Also: → 939462
Amazingly I still don't see other bug reports for this [1] ... except for this linux report "Thunderbird 24 is extremely slow on startup" https://bugzilla.redhat.com/show_bug.cgi?id=1022368 (P.Kavalagios?)

Unfortunately the numerous getsatisfaction reports are gone.  And I find nothing significant on SUMO [2] - perhaps my skills are going downhill. 

[1] perf bugs filed since 2012-01-01 - https://bugzilla.mozilla.org/buglist.cgi?keywords=perf%2C%20&keywords_type=allwords&list_id=11138597&o1=nowordssubstr&o9=substring&chfield=[Bug%20creation]&chfieldfrom=2012-12-01&o4=nowordssubstr&v4=imap&f1=short_desc&o3=nowordssubstr&f8=component&v3=imap%20compos%20address&resolution=---&classification=Client%20Software&classification=Components&f9=short_desc&j7=OR&f4=short_desc&chfieldto=Now&query_format=advanced&f3=component&f2=OP&f5=CP&product=MailNews%20Core&product=Thunderbird&f7=OP&o8=substring

[2] 
- https://support.mozilla.org/en-US/search?q=unresponsive+script&is_locked=-1&is_archived=-1&has_answers=-1&has_helpful=-1&num_voted=0&num_votes=&asked_by=&answered_by=&q_tags=&product=thunderbird&created=1&created_date=07%2F07%2F2014&updated=0&updated_date=&sortby=0&a=1&w=2
- https://support.mozilla.org/en-US/search?q=slow+startup&is_locked=-1&is_archived=-1&has_answers=-1&has_helpful=-1&num_voted=2&num_votes=1&asked_by=&answered_by=&q_tags=&product=thunderbird&created=1&created_date=05%2F06%2F2014&updated=0&updated_date=&sortby=0&a=1&w=2
Whiteboard: [gs] → [gs][regression:TB2?]
Dear all,

Just to sum up that it should be tested easily by your side. All those POP accounts have been created for testing reasons and they are simple inboxes on a JAMES SMTP Server 2.3.1. It worked fine up to version 17. After 24 to 31, the thunderbird window is displayed only the outer frame and it takes 1 minute to load (OK my PC is too old, so possibly 10 seconds on modern CPUs). The workaround is to remove the check for e-mails on startup option on the POP accounts.
To support the claim of the slowness, there may be other report of this as bug 939462. The cause is still unknown.
(In reply to :aceman from comment #9)
> To support the claim of the slowness, there may be other report of this as
> bug 939462. The cause is still unknown.

Thanks for the tip. Yes, if this is related 235956 which landed in TB24, then anyone who sees the problem should test https://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/23.0b1/ -- it should work 

Panos, can you test TB23?
Flags: needinfo?(Panagiotis.Kavalagios)
Whiteboard: [gs][regression:TB2?] → [gs][regression:TB24?]
I have tested that before and the behaviour is the same:

A. Option "Check for new messages at startup" enabled for the 15 POP accounts (58 secs):

-----------------------
panos@bb229:[220] ~/tmp/thunderbird > time thunderbird

(process:1576): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed

(thunderbird:1576): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::sm-connect after class was initialised

(thunderbird:1576): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::show-crash-dialog after class was initialised

(thunderbird:1576): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::display after class was initialised

(thunderbird:1576): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::default-icon after class was initialised
[calBackendLoader] Using libical backend at /home/panos/.thunderbird/ym3t97bn.default/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/components/libical.manifest
7.251u 0.498s 0:58.41 13.2%     0+0k 0+1208io 0pf+0w
-----------------------

B. Option "Check for new messages at startup" disabled for the 15 POP accounts (9 secs):

-----------------------
panos@bb229:[224] ~/tmp/thunderbird > time thunderbird

(process:2203): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed

(thunderbird:2203): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::sm-connect after class was initialised

(thunderbird:2203): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::show-crash-dialog after class was initialised

(thunderbird:2203): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::display after class was initialised

(thunderbird:2203): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::default-icon after class was initialised
[calBackendLoader] Using libical backend at /home/panos/.thunderbird/ym3t97bn.default/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/components/libical.manifest
5.467u 0.377s 0:09.62 60.6%     0+0k 0+552io 0pf+0w
-----------------------

It works fine with thunderbird-17.0.8.tar.bz2, but not for thunderbird-23.0b1.tar.bz2 or above.
Flags: needinfo?(Panagiotis.Kavalagios)
(In reply to Panos Kavalagios from comment #11)
> ...
> not [working] for thunderbird-23.0b1.tar.bz2 or above.

Thanks for testing. It's unfortunate that 23b fails because that elimiates bug 235956 as a potential cause of your problem.  :(

And prompts me to ask, can you test some of the other betas so that we get a time frame for when this starts happening?

You'd want to do a "binary search" (bisect) of the betas, i.e. first check version 20 beta which is the midpoint between version 17 and 23 https://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/20.0b1/  If 20b1 fails then next check a version between 20b and 17, etc.  If 20b1 works then check between 20b and 23b.
Flags: needinfo?(Panagiotis.Kavalagios)
I have tested the following:

thunderbird-20.0b1.tar.bz2
thunderbird-19.0b1.tar.bz2
thunderbird-18.0b1.tar.bz2

All are affected. So only 17 is free of this issue. One thing that is worth to be noted is that the very first time each release runs (checks for default e-mail, checks updated addons), it loads the window very quickly. The second time it needs 58 seconds.
Flags: needinfo?(Panagiotis.Kavalagios)
Blocks: 1084276
Blocks: tb-startupperf
No longer blocks: 1084276
(In reply to Panos Kavalagios from comment #13)
> I have tested the following:
> 
> thunderbird-20.0b1.tar.bz2
> thunderbird-19.0b1.tar.bz2
> thunderbird-18.0b1.tar.bz2
> 
> All are affected. So only 17 is free of this issue. One thing that is worth
> to be noted is that the very first time each release runs (checks for
> default e-mail, checks updated addons), it loads the window very quickly.
> The second time it needs 58 seconds.

Thanks Pano. In that case, please do a binary search on the version 18 daily builds between 
https://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2012/08/2012-08-28-03-02-08-comm-central/
and
https://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2012/10/2012-10-08-03-02-12-comm-central/
i.e. starting roughly at https://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2012/09/2012-09-18-03-06-02-comm-central/

Please let us know of you encounter difficulty.
Flags: needinfo?(Panagiotis.Kavalagios)
Panos tested hidden preference accessibility.force_disabled = 1 to see if Bug 1058423 is related, but it did no thelp.  "Still 1 minute to display"

Panos, can you test https://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2012/09/2012-09-18-03-06-02-comm-central/ to see if it happens?  We need to narrow the range of activity to something smaller than http://hg.mozilla.org/comm-central/pushloghtml?startdate=2014-08-28+04%3A05%3A00&enddate=2014-10-08+06%3A05%3A00
thunderbird-18.0a1.en-US.linux-x86_64.tar.bz2 from https://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2012/09/2012-09-18-03-06-02-comm-central/ is working fine.
Guenter, that's crazy great work!

What catches my eye in that regression range http://hg.mozilla.org/comm-central/pushloghtml?startdate=2012-09-24+03%3A05%3A00&enddate=2012-09-27+03%3A05%3A00 is Bug 793455 - DB cache is closing databases too frequently (fixed in a point release of TB17), which was a follow on to Bug 723248 - add support for closing inactive databases (folders) (which shipped with TB15)

Using a current version of Thunderbird please open tools | options (or edit | prefs) | advanced | general | config editor and in search field ...

paste mail.db.idle_limit
What value do you see?
If it's less than 300000 what happens if you set it to 300000?
If it's still slow at 300000, what happens if you double it?

Also paste in mail.db.max_open
What value do you see?
If it's less than 30 what happens if you set it to 30?
If it's still slow at 30, what happens if you double it?
If it's still slow, what happens if you change
Flags: needinfo?(guenter-huerkamp)
The entrys in about:config are:
mail.db.idle_limit 300000
mail.db.max_open 30 

Nothing changes if i double it.
Flags: needinfo?(guenter-huerkamp)
Guenter, using  https://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2012/09/2012-09-24-04-35-58-comm-central/ can you please get a logfile for msgdb:5 on startup per https://wiki.mozilla.org/MailNews:Logging

Then do the same for https://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2012/09/2012-09-25-03-05-58-comm-central/ ... we need the logfile for when startup is long

Attach the logfiles to this bug report, or email to me.
Thanks
Flags: needinfo?(guenter-huerkamp)
Whiteboard: [gs][regression:TB24?] → [gs][regression:TB18]
On 2012-09-24 bug 793455 landed for nightly build 2012-09-25, so I think it's fair to suspect it. Unfortunately comment 19 didn't help confirm that. So we need a way to confirm it.

On 2012-09-25 bug 793455 landed for aurora (fixing Earlybird 20 2012-09-25 build) and beta (which would have first appeared for users on beta 18, which released around 2012-11-29).

(note bug 710056 also landed on 2012-09-24, uplifted to aurora on 2012-09-27, and beta on 2012-10-01. So the 2012-09-26 and 2012-09-27 aurora builds should have bug 793455, but not bug 710056)


I've started looking at a trace Panos sent to me. The first POP log entiry doesn't happen until after one minute!  More investigation to do.
Blocks: 793455
User Story: (updated)
See Also: → 1116196
There is also bug 710065 in that timeframe. But that also shouldn't cause this. Only way to test this is to make a try-build with those patches backed out.

The user said it only happens if POP3 checks mail at startup. I think in that case Inbox is opened. Is Inbox especially big?
Does TB start with some other folder opened by default? So Inbox is not read if msgs are not checked at startup? Is the popstate.dat file in the accounts local directory expecially big (number of lines), e.g. caused by keeping all messages also on the server?
(In reply to :aceman from comment #22)
> There is also bug 710065 in that timeframe. But that also shouldn't cause
> this. Only way to test this is to make a try-build with those patches backed out.

I was thinking the same thing. 

But first we must get a regression range smaller than 2012-09-24 to 2012-09-27.  So we need to hear from Panos and Guenter.

Or anyone else seeing slowness can test whether these are slow or not
- https://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2012/09/2012-09-25-03-05-58-comm-central/
- https://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2012/09/2012-09-26-03-06-37-comm-central/


> The user said it only happens if POP3 checks mail at startup. I think in
> that case Inbox is opened. 

If it's not one of the previously mentioned bugs, then I'm thinking maybe a cache issue.


FWIW, I don't think we have other Thunderbird bug reports on this (approximate) query - https://bugzilla.mozilla.org/buglist.cgi?v4=perf&f1=short_desc&o3=substring&list_id=12024306&bug_severity=major&bug_severity=normal&f8=short_desc&v3=slow&o1=nowordssubstr&o9=nowordssubstr&resolution=---&resolution=FIXED&classification=Client%20Software&classification=Components&f9=component&f4=keywords&chfieldto=now&chfield=[Bug%20creation]&query_format=advanced&v9=build%20test%20install%20compos%20mime&chfieldfrom=2012-09-26&f3=short_desc&f2=OP&o4=substring&v8=auto%20complet&f6=CP&product=MailNews%20Core&product=Thunderbird&f7=OP&o8=nowordssubstr

Also, slowness blamed on bug 939462 may often be bug 793455 making some other issue much worse.
If bug 464973 lands, there will be a pref for the summarization of subfolders that bug 939462 claimed is the culprit.
> (In reply to :aceman from comment #22)
> > There is also bug 710065 in that timeframe. But that also shouldn't cause
> > this. Only way to test this is to make a try-build with those patches backed out.
Somehow the bug number in that commit is not right, so bug 710065 isn't the one I meant.

I meant commit http://hg.mozilla.org/comm-central/rev/3ee190555c32, "add newly valid databases to cache".
It is bug 793455.
Depends on: 1135310
(In reply to :aceman from comment #26)
> It is bug 793455.

Argh, this is not the correct number for this commit: http://hg.mozilla.org/comm-central/rev/3ee190555c32 . But I couldn't find out the correct bug number.
(In reply to Guenter Huerkamp from comment #19)
> The entrys in about:config are:
> mail.db.idle_limit 300000
> mail.db.max_open 30 
> 
> Nothing changes if i double it.

Guenter, can you set mail.db.max_open to 1000 or more than your total number of folders?
> http://hg.mozilla.org/comm-central/rev/3ee190555c32
> Bug 710065 - (rkent) add newly valid databases to cache, r=irving 

The 5 and 6 are transposed. The correct bug# is Bug 710056 - Earlybird doesn't remember columns change in the message list after restart - also a regression of bug 793455
OK, I tried to back out http://hg.mozilla.org/comm-central/rev/3ee190555c32 in my tree but I couldn't see any difference. However, theoretically, if the fix does anything for some users and now adds MORE DBs to the cache, it may just be enough to make the number of cached DBs cross the limit of 30 and provoke the pathological behaviour from bug 1135310.
(In reply to :aceman from comment #28)
> (In reply to Guenter Huerkamp from comment #19)
> > The entrys in about:config are:
> > mail.db.idle_limit 300000
> > mail.db.max_open 30 
> > 
> > Nothing changes if i double it.
> 
> Guenter, can you set mail.db.max_open to 1000 or more than your total number
> of folders?

Guenter?
nothing changes if i set mail.db.max_open to 5000
Flags: needinfo?(guenter-huerkamp)
Guenter, 
Panagiotis,

Please test the build at https://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/latest-comm-central/  and tell us your results (including negative effects, if any). Thanks.
Flags: needinfo?(Panagiotis.Kavalagios) → needinfo?(guenter-huerkamp)
A year ago Panos had sent me logs for TB17 and TB24 which I had forgotten, but started exploring this year. We did not finish our conversation, here is info here for the record. Panos please answer what you can.  

"I made an incorrect statement in the bug report that there was no pop activity for the first minute. Actually, it was only the first 18 seconds....

1. At least one startup included calendar. Did we ever have you test with calendar disabled?  And it was still slow startup?
2. Your 24.1.0 log has no pop activity for the first 18 seconds. Do you know why that would be?  Was it waiting on a logon prompt?
3. The imap activity has several distinct 3 second gaps in imap protocol.  Do you know why there would be such delays?  Are you running your own imap server? Are you on a slow network connection?
4. Could you also do you next startup testing with the imap accounts set to not check for new mail?  (if necessary, delete the account passwords in Thunderbird so that sync won't be attempted with the server)"

Acemnan, also note one of Panos' earlier statements, "The workaround is to remove the check for e-mails on startup option on the POP accounts.", and some questions for you below 

The TB24 logs clearly show
1. later in the startup, as many as 26 dbs are open.   Aceman, Is this consistent with bug 1135310?
2. as mentioned in questions above, there are long gaps (multiple seconds) which I cannot explain (it cannot be antivirus because panos is on linux)
3. early part of startup never achieves more than 9 open dbs. And it looks like pop Inboxes are being closed even though we never reached 30. Acemnan, Is this consistent with bug 1135310?  excerpt below 

2013-11-11 12:58:58.015219 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/ImapMail/wmail.eurodyn.com/Projects.sbd/PLANJO.msf - 2 hdrs in use
2013-11-11 12:58:58.015229 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/ImapMail/wmail.eurodyn.com/INBOX.msf - 0 hdrs in use
2013-11-11 12:58:58.015444 UTC - -1337280704[7f49b0279150]: closing database    /home/panos/.thunderbird/ym3t97bn.default/Mail/geproc.eurodyn-11.com/Inbox.msf
2013-11-11 12:58:58.016698 UTC - -1337280704[7f49b0279150]: nsMsgDatabase::Open(/home/panos/.thunderbird/ym3t97bn.default/Mail/geproc.eurodyn-4.com/Inbox.msf, FALSE, 7f49896f64e0, TRUE)
2013-11-11 12:58:58.017027 UTC - -1337280704[7f49b0279150]: 9 open DB's
2013-11-11 12:58:58.017042 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/Mail/smart mailboxes/Inbox.msf - 0 hdrs in use
2013-11-11 12:58:58.017052 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/Mail/smart mailboxes/Templates.msf - 0 hdrs in use
2013-11-11 12:58:58.017063 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/Mail/smart mailboxes/Trash.msf - 0 hdrs in use
2013-11-11 12:58:58.017072 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/Mail/smart mailboxes/Outbox.msf - 0 hdrs in use
2013-11-11 12:58:58.017082 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/Mail/smart mailboxes/Sent.msf - 0 hdrs in use
2013-11-11 12:58:58.017092 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/Mail/smart mailboxes/Drafts.msf - 0 hdrs in use
2013-11-11 12:58:58.017102 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/ImapMail/wmail.eurodyn.com/Projects.sbd/EMC.msf - 954 hdrs in use
2013-11-11 12:58:58.017113 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/ImapMail/wmail.eurodyn.com/Projects.sbd/PLANJO.msf - 2 hdrs in use
2013-11-11 12:58:58.017123 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/ImapMail/wmail.eurodyn.com/INBOX.msf - 0 hdrs in use
2013-11-11 12:58:58.017264 UTC - -1337280704[7f49b0279150]: closing database    /home/panos/.thunderbird/ym3t97bn.default/Mail/geproc.eurodyn-4.com/Inbox.msf
2013-11-11 12:58:58.018384 UTC - -1337280704[7f49b0279150]: nsMsgDatabase::Open(/home/panos/.thunderbird/ym3t97bn.default/Mail/geproc.eurodyn-12.com/Inbox.msf, FALSE, 7f49896f64e0, TRUE)
2013-11-11 12:58:58.018842 UTC - -1337280704[7f49b0279150]: 9 open DB's
2013-11-11 12:58:58.018856 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/Mail/smart mailboxes/Inbox.msf - 0 hdrs in use
2013-11-11 12:58:58.018866 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/Mail/smart mailboxes/Templates.msf - 0 hdrs in use
2013-11-11 12:58:58.018877 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/Mail/smart mailboxes/Trash.msf - 0 hdrs in use
2013-11-11 12:58:58.018887 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/Mail/smart mailboxes/Outbox.msf - 0 hdrs in use
2013-11-11 12:58:58.018897 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/Mail/smart mailboxes/Sent.msf - 0 hdrs in use
2013-11-11 12:58:58.018907 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/Mail/smart mailboxes/Drafts.msf - 0 hdrs in use
2013-11-11 12:58:58.018917 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/ImapMail/wmail
/Projects.sbd/EMC.msf - 954 hdrs in use
2013-11-11 12:58:58.018927 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/ImapMail/wmail.eurodyn.com/Projects.sbd/PLANJO.msf - 2 hdrs in use
2013-11-11 12:58:58.018937 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/ImapMail/wmail.eurodyn.com/INBOX.msf - 0 hdrs in use
2013-11-11 12:58:58.019057 UTC - -1337280704[7f49b0279150]: closing database    /home/panos/.thunderbird/ym3t97bn.default/Mail/geproc.eurodyn-12.com/Inbox.msf
2013-11-11 12:58:58.020114 UTC - -1337280704[7f49b0279150]: nsMsgDatabase::Open(/home/panos/.thunderbird/ym3t97bn.default/Mail/geproc.eurodyn-10.com/Inbox.msf, FALSE, 7f49896f64e0, TRUE)
2013-11-11 12:58:58.020482 UTC - -1337280704[7f49b0279150]: 9 open DB's
2013-11-11 12:58:58.020498 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/Mail/smart mailboxes/Inbox.msf - 0 hdrs in use
2013-11-11 12:58:58.020509 UTC - -1337280704[7f49b0279150]: /home/panos/.thunderbird/ym3t97bn.default/Mail/smart mailboxes/Templates.msf - 0 hdrs in use
Flags: needinfo?(Panagiotis.Kavalagios)
I have tested thunderbird-39.0a1.en-US.linux-x86_64.tar.bz2, but the issue persists:

panos@bb229:[208] ~/tmp/xtract/thunderbird > time thunderbird
[calBackendLoader] Using libical backend at /home/panos/.thunderbird/ym3t97bn.default/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/components/libical.manifest
7.869u 0.629s 0:57.66 14.7%     0+0k 32+1280io 0pf+0w

It needs 57 seconds to draw the window contents.
Flags: needinfo?(Panagiotis.Kavalagios)
Regression in which release?
If imap relevant, and if "Show only subscried folders" is used, bug 859269 may affect on imap connection open time, because "LIST *" is issued before "LSUB *" from Tb 20. (fixed by Tb 33)

Check start time/connection time etc. by test like next, please.
  1. Stop new mail check, select small locaal mail folder before termination, terminate Tb.
  2. With timstamp,imap:5,pop3:5,msgDB:5, start Tb with Offline mode(thunderbird.exe -offline).
  3. When restart cimpleted, go Work Online, Get Msgs of a POP3 accont
  4. Click Inbox of an IMAP account.
  5. Termiate Tb, check NSPR log.
(In reply to Wayne Mery (:wsmwk, use Needinfo for questions) from comment #34)
> The TB24 logs clearly show
> 1. later in the startup, as many as 26 dbs are open.   Aceman, Is this
> consistent with bug 1135310?
> 2. as mentioned in questions above, there are long gaps (multiple seconds)
> which I cannot explain (it cannot be antivirus because panos is on linux)
> 3. early part of startup never achieves more than 9 open dbs. And it looks
> like pop Inboxes are being closed even though we never reached 30. Acemnan,
> Is this consistent with bug 1135310?  excerpt below 
This doesn't look like bug bug 1135310 to me (unless he lowered max open databases or the idle time for DB close).
Günter writes:
* 1 Pop and 4 Imap Accounts.
* If i uncheck für new message no delay.
* if i check 1 Pop account for new message there is a delay for 4 Seconds.
* if i check 1 Imap Account there is a delay for 4 Seconds.
* if i enable all 5 accounts i have a delay of 20 seconds and no unresponsive scripts. 
* The pop account is only 250 kb , the imap account is 1000 MB [these _should_ be INbox sizes]

Günter, what happens if you try version 38?
(In reply to Wayne Mery (:wsmwk, use Needinfo for questions) from comment #38)
> Günter, what happens if you try version 38?

Same procedure, but:
Starting version 38: checking add-one, then Display is starting immediately . No delay.
Second Start: Delay of 20 seconds. 

Starting version 31: checking add-one, then Display is starting immediately . No delay.
Second Start: Delay of 20 seconds. 

I think it's a Display-Delay.
Flags: needinfo?(guenter-huerkamp)
(In reply to Guenter Huerkamp from comment #39)
> Same procedure, but:
> Starting version 38: checking add-one, then Display is starting immediately

What is "checking add-one" ?

Also, in TB38, can you go into options->advanced->config editor and look for pref mail.folderpane.sumSubfolders and set it to false? Then restart TB.
(In reply to :aceman from comment #40)
> (In reply to Guenter Huerkamp from comment #39)
> > Same procedure, but:
> > Starting version 38: checking add-one, then Display is starting immediately
> 
> What is "checking add-one" ?
> 
Sorry for my english.  checking "add-one" is "add-ons"

> Also, in TB38, can you go into options->advanced->config editor and look for
> pref mail.folderpane.sumSubfolders and set it to false? Then restart TB.
nothing changes
TB18 regressions: http://mzl.la/1dxUsHG
TB17 regressions: http://mzl.la/1dxUFea
regressions with version not set: http://mzl.la/1B7A2QT
Whiteboard: [gs][regression:TB18] → [regression:TB18][gs]
How many messages are there in those IMAP accounts?
(In reply to :aceman from comment #43)
> How many messages are there in those IMAP accounts?

800
After a reinstall of ubuntu 14.04 LTS (Kernel 3.13.) the delay is gone, Thunderbird ist starting immediately.
Panos, 
Is "Check for new messages every N minutes" enabled or disabled?
Is start time impacted by changing the setting?
Is time to check for messages AFTER startup impacted by changing the setting?


(resummarized Guenter and Panos experience)
User Story: (updated)
Flags: needinfo?(Panagiotis.Kavalagios)
A workaround might be to increase dom.max_script_run_time or dom.max_chrome_script_run_time (I'm not sure which) in the Thunderbird Config Editor (in Advanced Preferences) or the SeaMonkey about:config. I think they are in seconds, and use your judgment about what a "reasonable" timeout would be.
(In reply to Wayne Mery (:wsmwk, use Needinfo for questions) from comment #46)
> Panos, 
> Is "Check for new messages every N minutes" enabled or disabled?
> Is start time impacted by changing the setting?
> Is time to check for messages AFTER startup impacted by changing the setting?

It is checked with a 1 minute period. I have tried with that option de-activated, but it doesn't seem to produce any different result. It still need about 1 minute to draw the window's contents.
Flags: needinfo?(Panagiotis.Kavalagios)
I've been running into this bug starting with Thunderbird version 45.1. It would become unresponsive not just when sending but while composing a message. This occurred frequently. Safe mode has no effect. Upgrading to 45.1.1 helped a lot, now it only occurs occasionally while sending and never while composing the message. I have 1 POP and 8 IMAP accounts. I never ran into the problem unless I was composing/sending a message. I've only done that using IMAP accounts.  

I recently installed version 1.0.0 of the external editor add-on at http://globs.org/articles.php?lng=en&pg=2. I now run into this problem 100% of the time when I send a message that I composed using the external editor. In my case I'm using Notepad++ version 6.9.2 under Windows 10 version 1607 (OS Build 14393.321) with Thunderbird 45.4.0. Perhaps that will help somebody else reproduce the problem at will. 

You need to configure what external editor to use beforehand using the add-ons options. Press the Write button. Then press the button it added to the compose message toolbar after entering the recipients and subject. In my case the button is labeled "NotePad". That will launch the external editor. Compose the message, save it, exit the editor (that is crucial) and then press the Send button in Thunderbird.
> I've been running into this bug starting with Thunderbird version 45.1 ...

When I saw a new comment in this bug I had high hopes. Unfortunately, reading through it, what you describe is so not what this bug is about.
You had suggested in http://forums.mozillazine.org/viewtopic.php?p=14610131#p14610131 that this bug report might describe the problem I was running into. Why do you think its a different bug? What bug report do you suggest I add a comment to?
(In reply to Eric Moore from comment #51)
> You had suggested in
> http://forums.mozillazine.org/viewtopic.php?p=14610131#p14610131 that this
> bug report might describe the problem I was running into. Why do you think
> its a different bug? What bug report do you suggest I add a comment to?

OK, that reference puts a different light on comment 49.  In mozillazine I said was "If 17 is OK and 24 is not, then you could be seeing" this bug.  But comment 49 states that you only just started seeing this problem with 45.1, released May 10, 2016, which is well after version 24.  Still, there may be a connection worth exploring. Let's give it some thought
(In reply to Eric Moore from comment #49)
>...
> I recently installed version 1.0.0 of the external editor add-on at
> http://globs.org/articles.php?lng=en&pg=2. I now run into this problem 100%
> of the time when I send a message that I composed using the external editor.
> In my case I'm using Notepad++ version 6.9.2 under Windows 10 version 1607
> (OS Build 14393.321) with Thunderbird 45.4.0. Perhaps that will help
> somebody else reproduce the problem at will. 

Circling back, what you describe really isn't what this bug is about. Especially if you did not have a problem starting in version 24.  But I feel compelled to ask - what does the author of the addon have to say about your performance issue which is clearly related to the addon?
Flags: needinfo?(emoore)
Flags: needinfo?(emoore)
Is anybody using the View->folders->Unified mode ?
(In reply to :aceman from comment #54)
> Is anybody using the View->folders->Unified mode ?

Panos might be the only one who can answer, if Guenter's problem is gone (my interpretation)
User Story: (updated)
Flags: needinfo?(Panagiotis.Kavalagios)
Summary: Long startup and "Unresponsive Script" with many pop accounts with version 24 → Long startup and "Unresponsive Script" with many pop accounts and check for e-mails on startup with version 18/24
No, I don't. It is set to the default option "All".
"But I feel compelled to ask - what does the author of the addon have to say about your performance issue which is clearly related to the addon?"

The author had been unreachable and appeared to have abandoned the add-on. It turns out it was moved to https://github.com/exteditor/exteditor and they have released a new version that supposedly works with Thunderbird 52. I have problems though when I try to use an external editor with 52.3.0. I just installed the updated add-on so its too early to tell if it will eventually cause performance problems with 52.3.0.
I reported this years ago when I updated V17 to V24. 
I reverted to using V17 until a few days ago when I updated "online" to first V38.5 > then V45.8 > then V52.3

I kept the V17 profile which still had the 20 second delay problem.

I created a new V52 profile and created the Accounts.
I then copied the entire contents of the V17 profile to the V52 profile and found that I did not have the 20 second delay problem when opening the V52 profile.

Since the profile files were copied using Windows Explorer I would expect that data to be identical.

The only difference then was that I had created new Accounts for V52.
That would suggest that the Accounts as defined in the V17 profile were causing the problem although when reviewed they appeared to be identical to the new ones created in V52.

That would suggest that hidden inside the definitions for the V17 Accounts there's something that is not converted by the update process.

I hope this helps to find the bug but there is a simple process to eliminate the problem for users willing to do what I did.

I'm currently using TB V52.4.0 (32 bit) due to an update a few days ago (Oct 6).
I added a note to bug 1253235 to refer to this bug and my experience V17 to V52
Panos, do you still see this issue?


> That would suggest that hidden inside the definitions for the V17 Accounts there's something that is not converted by the update process.

Thanks for the info. But I don't believe there is any formal definition/upgrade issue in an account given that this is not a widespread issue amongst users.  More likely something in your environment
Summary: Long startup and "Unresponsive Script" with many pop accounts and check for e-mails on startup with version 18/24 → Long startup and "Unresponsive Script" with many pop accounts and check for e-mails on startup. View > Folders > All, with version 18/version 24
I confirm that the issue persists in the latest thunderbird-52.9.1-1.fc28.x86_64. It requires 57 seconds to draw the thunderbird window with contents if the option "Check for new messages at startup" is on for my 15 test POP accounts against an old JAMES SMTP Server 2.3.1.
Flags: needinfo?(Panagiotis.Kavalagios)
See Also: → 1288152
See Also: → 1253235
I have suddenly started seeing this, on:

Thunderbird 52.9.1 x64 (and the issue is present on 60beta too)
Linux Mint 19 Cinnamon
Three IMAP accounts, no POP accounts.
Ah: in my case, it was enabling Thunderbird's option to automatically detect proxy settings that was the cause.
See Also: → 383517
You need to log in before you can comment on or make changes to this bug.